Spacemacs python-layer anaconda mode 无法工作

anaconda-mode buffer里边错误信息如下:

message buffer中,错误信息为: can not install anaconda-mode server python版本信息如下: $ which python /home/work/.jumbo/bin/python

work @ cq02-super-god in ~ [10:26:46]

$ pip --version pip 8.1.2 from /home/work/.jumbo/lib/python2.7/site-packages (python 2.7)

系统信息如下: $ lsb_release LSB Version: :core-3.0-amd64:core-3.0-ia32:core-3.0-noarch:graphics-3.0-amd64:graphics-3.0-ia32:graphics-3.0-noarch

work @ cq02-super-god in ~ [10:28:13]

$ lsb_release -a LSB Version: :core-3.0-amd64:core-3.0-ia32:core-3.0-noarch:graphics-3.0-amd64:graphics-3.0-ia32:graphics-3.0-noarch Distributor ID: CentOS Description: CentOS release 4.3 (Final) Release: 4.3 Codename: Final

work @ cq02-super-god in ~ [10:28:20]

$ uname -r
2.6.32_1-17-0-0

work @ cq02-super-god in ~ [10:28:29]

$ openssl version -a OpenSSL 1.0.2g 1 Mar 2016 built on: reproducible build, date unspecified platform: linux-x86_64 options: bn(64,64) md2(int) rc4(16x,int) des(idx,cisc,16,int) idea(int) blowfish(idx) compiler: gcc -I. -I… -I…/include -fPIC -DOPENSSL_PIC -DZLIB -DOPENSSL_THREADS -D_REENTRANT -DDSO_DLFCN -DHAVE_DLFCN_H -Wa,–noexecstack -O2 -pipe -m64 -DL_ENDIAN -O3 -Wall -DOPENSSL_IA32_SSE2 -DOPENSSL_BN_ASM_MONT -DOPENSSL_BN_ASM_MONT5 -DOPENSSL_BN_ASM_GF2m -DSHA1_ASM -DSHA256_ASM -DSHA512_ASM -DMD5_ASM -DAES_ASM -DVPAES_ASM -DBSAES_ASM -DWHIRLPOOL_ASM -DGHASH_ASM -DECP_NISTZ256_ASM OPENSSLDIR: “/home/work/.jumbo/etc/ssl” pip 已经安装,但是并不能解决问题。spacemacs已经重装,不能解决问题。 spacemacs 版本为官方最新版, updatepackage 尝试多次 不能解决问题 求各位老司机协助看看

额,曾经遇到了这个问题,忘记怎么解决的了,似乎是自己单独安装了anaconda。去看看 spacemacs 的 issues 里,我当时是在其中找到答案的

求link,搜了半天没搜到

感觉你的网络有问题。。 试着科学上网试一下?

感谢子龙山人的解答。我先自己说下解决方案。 事情的起因:

  1. spacemacs 误点了 updatepackage 导致package被清理
  2. baidu-centos ssl版本升级 导致openssl ca配置有问题 这俩事情耦合在一起,就导致 anaconda 无法通过https下载一些东西回来 重新编译了openssl库&& 重新配置ssl库的ca后 问题解决。 mark在这里,让后来的人有点解决问题的思路吧 折腾的太不容易了 666
2赞